org.apache.ignite.internal.processors.cache.persistence.pagemem

## Interface PagesWriteThrottlePolicy

All Known Implementing Classes:
  PagesWriteSpeedBasedThrottle, PagesWriteThrottle

    public interface PagesWriteThrottlePolicy

Throttling policy, encapsulates logic of delaying write operations.

### Field Summary

Fields
`static int` `DFLT_THROTTLE_LOG_THRESHOLD`
`static long` `LOGGING_THRESHOLD` Max park time.

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`void` `onBeginCheckpoint()` Callback to notify throttling policy checkpoint was started.
`void` `onFinishCheckpoint()` Callback to notify throttling policy checkpoint was finished.
`void` `onMarkDirty(boolean isPageInCheckpoint)` Callback to apply throttling delay.
`default boolean` `shouldThrottle()`
`default void` `tryWakeupThrottledThreads()` Callback to try wakeup throttled threads.

### Field Detail

#### DFLT_THROTTLE_LOG_THRESHOLD

    static final int DFLT_THROTTLE_LOG_THRESHOLD

See Also:
  `IgniteSystemProperties.IGNITE_THROTTLE_LOG_THRESHOLD`, Constant Field Values

#### LOGGING_THRESHOLD

    static final long LOGGING_THRESHOLD

Max park time.

### Method Detail

#### onMarkDirty

    void onMarkDirty(boolean isPageInCheckpoint)

Callback to apply throttling delay.

Parameters:
  `isPageInCheckpoint` - flag indicating if current page is in scope of current checkpoint.

#### tryWakeupThrottledThreads

    default void tryWakeupThrottledThreads()

Callback to try wakeup throttled threads.

#### onBeginCheckpoint

    void onBeginCheckpoint()

Callback to notify throttling policy checkpoint was started.

#### onFinishCheckpoint

    void onFinishCheckpoint()

Callback to notify throttling policy checkpoint was finished.

#### shouldThrottle

    default boolean shouldThrottle()

Returns:
  `True` if throttling should be enabled, and `False` otherwise.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.1
Release Date | : December 20 2021